Skip to navigation

Retrieve

View as Markdown

Returns a single order by its unique one time incentive identifier.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

Path parameters

one_time_incentive_idstringRequired

Unique one-time incentive id

Response

200
public_idstringOptional

One-time incentive ID.

external_codestringOptional
descriptionstringOptional
merchantstringOptional
Merchant ID.
customerstringOptional
Customer ID.
orderstring or nullOptional

ID of the order the incentive is attached to, or null.

itemstring or nullOptional

ID of the item the incentive is attached to, or null.

createdstringOptional
When the incentive was created.
last_updatedstringOptional
When the incentive was last updated.
expiresstring or nullOptional

When the incentive expires, or null if it doesn’t.

stacking_typeenumOptional
Allowed values:
incentiveobjectOptional
applied_atstring or nullOptional

When the incentive was applied, or null if it hasn’t been.

Errors

404
Not Found Error